Bug 64761 - imlib-1.9.13-3.7.x causes enlightenment to hang on startup
imlib-1.9.13-3.7.x causes enlightenment to hang on startup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: imlib (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-10 12:34 EDT by Bob Arendt
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-19 11:08:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Arendt 2002-05-10 12:34:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
enlightenment 0.16.4 and 0.16.5 hang on  startup
at the "scanning directories" stage.

This bug was reported for RH 7.2 on 3/27 (id=62078).
imlib-1.19.14 corrects this problem;  imlib-1.9.14
was released 3/25/2002, just a little over a week after
the flawed 1.9.13 version was released.

This is also a security issue, as noted in:
http://online.securityfocus.com/archive/1/271552/2002-05-06/2002-05-12/0

Get the source at:
ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/imlib-1.9.14.tar.gz


Version-Release number of selected component (if applicable):
imlib-1.9.13

How reproducible:
Always

Steps to Reproduce:
Rebuild enlightenment from source (either 0.16.4, or 0.16.5)

Actual Results:
enlightenment hangs on startup at the "scanning directories" stage.


Expected Results:  Enlightenment should work - it has previously.
Is this why enlightenment-0.16.5 wasn't included
in Redhat 7.3?

Additional info:

This is also a potential security issue, as noted in:
http://online.securityfocus.com/archive/1/271552/2002-05-06/2002-05-12/0

Get the source at:
ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/imlib-1.9.14.tar.gz
Comment 1 Bob Arendt 2002-05-10 13:09:45 EDT
Also see
http://bugzilla.ximian.com/show_bug.cgi?id=22943
Comment 2 Havoc Pennington 2002-05-10 15:15:53 EDT
The security issue is fixed in the latest imlib package, just not the E issue.
Comment 3 Havoc Pennington 2002-07-06 19:02:00 EDT
Enlightenment is gone, I think, and we have a new imlib in rawhide at least.
I think we did one as an errata also.
Comment 4 Owen Taylor 2002-07-06 21:59:52 EDT
There was an updated errata quite a while ago.

Note You need to log in before you can comment on or make changes to this bug.